;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;                   Exemple of Levels for PacMan v1.8/v1.9                   ;
;                                                                            ;
;                       Thanks To Patrick Pelissier  :)                      ;
;              For String Compilator And External Levels Help !              ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Don't Change That !!!                                         ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                                                                ;  Ici, rien  changer
_nostub:                                                        ;
  xdef      _nostub                                             ;
_ti89                                                           ;
  xdef      _ti89                                               ;
_ti92plus                                                       ;
  xdef      _ti92plus                                           ;
                                                                ;
                                                                ;
  dc.l 'PM68'         ; Don't change that !   (Levels format)   ;  Ne surtout pas changer
                                                                ;  C'est la signature des
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  niveaux pour que PacMan
                                                                ;  les reconnaisse



;  NE PAS OUBLIER DE METTRE A JOUR LE NOMBRE DE NIVEAUX

  dc.w 1    ; Ici, tu mets le nombre de niveaux


;       |                                      |
;       |                                      |
;       |                                      |
;       V                                      V
;       1        10        20        30        40
;       1234567890123456789012345678901234567890
  dc.b "The exemple world by -ton nom-          ",0    ; 40 caracteres, pas un de plus, pas un de moins
    ; c'est le commentaire du niveau, mets celui que tu veux, mais il doit contenir exactement 40 caracteres
    ; c'est pour ca que j'ai mis des numrots au dessus, c'est pour mieux se reprer

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;  Ce qui suit, c'est les sprites, c'est a dire les graphismes               ;
;  ils ne doivent pas dpasser 9 de large et 9 de haut                       ;
;  pour etre clair, j'ai mis des '1' partout, et tu ne dois pas dpasser     ;
;  les '1', enfin sortir de cette zone. les graphismes, c'est du binaire     ;
;  donc des '1' et des '0' --> 1=pixel allum, 0=pixel teint                ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;                  ;
; The monsters box ;    C'est la boite  monstres ici
;                  ;
;;;;;;;;;;;;;;;;;;;;    Il y a un plan clair, et un plus fonc
;;;;;;;;;;;;;;;;;;;;    On superpose les deux, et on peut ainsi avoir 4 couleurs diffrentes
;;;;;;;;;;;;;;;;;;;;    C'est pour ca qu'il y a 2 graphismes par bloc

;      |       |
;      |       | Limites a ne pas dpasser
;      |       |
 dc.w %1111111110000000      ; The box's sprite #1     ;
 dc.w %1111111110000000                                ;
 dc.w %1111111110000000      ;fonc                    ;
 dc.w %1111111110000000                                ;
 dc.w %1111111110000000                                ;
 dc.w %1111111110000000                                ;
 dc.w %1111111110000000                                ; GrayScales cause two picture's planes
 dc.w %1111111110000000                                ;
 dc.w %1111111110000000 ;--------------                ;
 dc.w %0000000000000000                                ;
;      |       |                                       ;
;      |       | Limites a ne pas dpasser             ;
;      |       |                                       ;
 dc.w %1111111110000000      ; The box's sprite #2     ;
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000      ;clair
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000 ;--------------
 dc.w %0000000000000000

;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;                  ;
; The wall sprites ;  Pareil ici, mais c'est les graphismes des murs
;                  ;
;;;;;;;;;;;;;;;;;;;;  C'est ici un exemple de dgrad de couleurs
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;

;      |       |
;      |       | Limites a ne pas dpasser
;      |       |
 dc.w %0000111110000000      ; The wall's sprite #1        ;fonc
 dc.w %0000111110000000
 dc.w %0000111110000000
 dc.w %0000111110000000
 dc.w %0000111110000000
 dc.w %0000111110000000
 dc.w %0000111110000000
 dc.w %0000111110000000
 dc.w %0000111110000000 ;----------------
 dc.w %0000000000000000
;      |       |
;      |       | Limites a ne pas dpasser
;      |       |
 dc.w %0011001110000000      ; The wall's sprite #2
 dc.w %0011001110000000
 dc.w %0011001110000000                                    ;clair
 dc.w %0011001110000000
 dc.w %0011001110000000
 dc.w %0011001110000000
 dc.w %0011001110000000
 dc.w %0011001110000000
 dc.w %0011001110000000 ;----------------
 dc.w %0000000000000000




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;                              Here Are The Levels                           ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                  ;
; Levels Format :                  ;
;   0 = Empty                      ; rien
;   1 = Wall                       ; un mur
;   2 = Point                      ; un point a manger
;   3 = Big Point, Ball            ; une boule a manger
;   4 = Monsters Box               ; la cage a monstres
;   5 = Starting point             ; le point de dpart de PacMan
;                                  ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;  Attention, il ne doit SURTOUT PAS y avoir de trous dans les murs du cot
;  car PacMan et les monstres peuvent sortir de l'ecran, et en gnral, ca plante !!!


;  Ici, c'est le premier niveau de paclvls, les niveaux fournis avec le jeu


;            JUST CHANGE HERE TO BUILD YOUR OWN LEVELS
;
;
;
;               I       I       I       I       I
;               I       I       I       I       I
;              \I/     \I/     \I/     \I/     \I/
;               v       v       v       v       v
 
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,3,2,2,2,2,2,5,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,1,1,1,2,1,1,1,1,1,2,1    ;;;
              dc.b 1,2,2,3,2,2,2,2,2,2,1,2,2,2,1,2,1     ;;;;
              dc.b 1,2,1,2,1,1,1,4,1,2,1,2,1,2,1,3,1       ;;;;; Level 1
              dc.b 1,2,1,2,2,2,2,2,1,2,1,2,1,2,1,2,1     ;;;;  
              dc.b 1,2,1,2,1,1,1,2,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,2,1,2,2,2,1,2,1,2,1    ;;
              dc.b 1,2,1,2,1,1,1,1,1,2,1,1,1,2,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;


  end      ; a ne surtout pas oublier ou enlever
